package com.bcxin.api.interfaces.enums;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("通讯录的选项信息")
public enum DepartImPermissionType {
    /**
     * 能看到当前用户所属部门下的成员
     */
    @ApiModelProperty("能看到当前用户所属部门下的成员")
    JustOnDepart,
    /**
     * 能看到当前用户所属部门及所属部门的下级部门的成员
     */
    @ApiModelProperty("能看到当前用户所属部门及所属部门的下级部门的成员")
    OnDepartAndSub,
    /**
     * 只能看见自己
     */
    @ApiModelProperty("只能看见自己")
    JustSelf,
    /**
     * 能看到全公司
     */
    @ApiModelProperty("能看到全公司")
    Whole,
    /**
     * 能看到指定的部门下的成员，不包含指定部门下的下级部门成员
     */
    @ApiModelProperty("能看到指定的部门下的成员，不包含指定部门下的下级部门成员")
    Special
}
