package com.bcxin.api.interfaces.tenants.requests.employees;

import com.bcxin.Infrastructures.entities.OperatorValueType;
import com.bcxin.Infrastructures.enums.OccupationType;
import com.bcxin.Infrastructures.models.CredentialModel;
import com.bcxin.Infrastructures.validations.Credential;
import com.bcxin.Infrastructures.validations.Telephone;
import com.bcxin.api.interfaces.RequestAbstract;
import lombok.Data;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.Embedded;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class EmployeeRequest extends RequestAbstract {
    @NotEmpty
    private String name;

    @NotEmpty
    private String telephone;
    /**
     * 所属本部门
     */
    @NotEmpty
    private String departId;
    /**
     * 职业类型
     */
    @NotNull
    private OccupationType occupationType;
    /**
     * 岗位
     */
    private String position;
    /**
     * 入职时间
     */
    @NotNull
    private Date hiredDate;

    private CredentialModel credential;

    @Embedded
    private OperatorValueType operator;
}
