package com.bcxin.api.interfaces.tenants.requests.employees;

import com.bcxin.Infrastructures.entities.OperatorValueType;
import com.bcxin.Infrastructures.enums.OccupationType;
import com.bcxin.Infrastructures.models.CredentialModel;
import com.bcxin.api.interfaces.RequestAbstract;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Embedded;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class InvitedToJoinRequest extends RequestAbstract {

    @ApiModelProperty(value = "姓名")
    @NotBlank(message = "姓名不能为空")
    private String name;

    @ApiModelProperty(value = "联系电话")
    @NotBlank(message = "联系电话不能为空")
    private String telephone;

    @ApiModelProperty(value = "所属本部门")
    @NotBlank(message = "所属本部门不能为空")
    private String departId;

    @ApiModelProperty(value = "职业类型")
    @NotNull(message = "职业类型不能为空")
    private OccupationType occupationType;

    @ApiModelProperty(value = "岗位")
    private String position;

    @ApiModelProperty(value = "证件信息")
    @NotNull(message = "证件信息不能为空")
    private CredentialModel credential;


    @ApiModelProperty(value = "身份证人像面")
    @NotBlank(message = "身份证人像面不能为空")
    private String frontPhoto;

    @ApiModelProperty(value = "身份证国徽面")
    @NotBlank(message = "身份证国徽面不能为空")
    private String reversePhoto;

    @ApiModelProperty(value = "身份证人头像")
    @NotBlank(message = "身份证人头像不能为空")
    private String headPhoto;

    @ApiModelProperty(value = "有效期从")
    private Date validDateFrom;

    @ApiModelProperty(value = "有效期到")
    private Date validDateTo;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "活体采集照片")
    @NotBlank(message = "活体采集照片不能为空")
    private String certificateImage;

    @Embedded
    private OperatorValueType operator;
}
